Bug 1412033 - hypervfcopyd, hypervkvpd and hypervvssd: postinstall scriptlet contain "if [ $1 > 1 ] ; then" which creates an empty file /1
Summary: hypervfcopyd, hypervkvpd and hypervvssd: postinstall scriptlet contain "if [ ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hyperv-daemons
Version: 25
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Vitaly Kuznetsov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 02:42 UTC by Edgar Hoch
Modified: 2017-01-14 03:51 UTC (History)
3 users (show)

Fixed In Version: hyperv-daemons-0-0.17.20170105git.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-14 03:51:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Edgar Hoch 2017-01-11 02:42:59 UTC
Description of problem:
postinstall scriptlet of packages hypervfcopyd, hypervkvpd and hypervvssd contain the following line:

if [ $1 > 1 ] ; then

This line creates an empty file "/1" . The used syntax of "[" (see "man test") is wrong. The line should be changed in each of the listed packages to

if [ $1 -gt 1 ] ; then


Version-Release number of selected component (if applicable):
hypervfcopyd-0-0.15.20160728git.fc25.x86_64
hypervkvpd-0-0.15.20160728git.fc25.x86_64
hypervvssd-0-0.15.20160728git.fc25.x86_64


How reproducible:
Always

Comment 1 Vitaly Kuznetsov 2017-01-11 10:43:40 UTC
(In reply to Edgar Hoch from comment #0)
> Description of problem:
> postinstall scriptlet of packages hypervfcopyd, hypervkvpd and hypervvssd
> contain the following line:
> 
> if [ $1 > 1 ] ; then
> 
> This line creates an empty file "/1" . The used syntax of "[" (see "man
> test") is wrong. The line should be changed in each of the listed packages to
> 
> if [ $1 -gt 1 ] ; then
> 

Oops, such a stupid bug :-( I'll fix asap.

Comment 2 Fedora Update System 2017-01-11 12:22:20 UTC
hyperv-daemons-0-0.17.20170105git.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c186d1cf37

Comment 3 Fedora Update System 2017-01-12 07:52:29 UTC
hyperv-daemons-0-0.17.20170105git.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c186d1cf37

Comment 4 Fedora Update System 2017-01-14 03:51:24 UTC
hyperv-daemons-0-0.17.20170105git.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.